package com.usky.system.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.system.domain.SysTenant;
import com.usky.system.service.vo.SysTenantOneVo;
import com.usky.system.service.vo.SysTenantTwoVo;
import com.usky.system.service.vo.SysTenantVo;

import java.util.List;

/**
 * <p>
 * 租户信息表 服务类
 * </p>
 *
 * @author ya
 * @since 2022-05-05
 */
public interface SysTenantService extends CrudService<SysTenant> {
    List<SysTenantVo> getUserData();

    List<SysTenant> getAppData(String domain);

    CommonPage<SysTenantTwoVo> getTenantData(SysTenantOneVo sysTenantOneVo);

    void addTenantData(SysTenant sysTenant);

    void cloneTenantData(SysTenant sysTenant);

    void delTenantData(Integer tenantId);

    void updateTenantData(SysTenant sysTenant);

    CommonPage<SysTenantTwoVo> getTenantDataOne(String tenantName, String tenantManager, Integer page, Integer size);

}
